Subject: Re: Collection of stgit issues and wishes

From: David Kågedal <[email-masked]>
Date: Wed, 13 Dec 2006 08:22:00 +0100

"Catalin Marinas" <[email-masked]> writes:

> On 08/12/06, Yann Dirson <[email-masked]> wrote:
>> - shortcuts (st -> status, etc.), possibly making use of the git alias
>> system ?
>
> Did this last night as it was pretty easy and without the GIT alias
> system (which I am not familiar with). The idea is that if it cannot
> find an exact match, it tries to look for all the commands starting
> with the passed argument. If more than one command is found, it
> reports an "ambiguous command".

That approach can cause problems later on.  If "stgit st" is currently
a unique prefix of "stgit status", people might use it in scripts.
Then, one day, you add the "stgit store" command, or whatever, and
their scripts start breaking for no good reason.

-- 
David Kågedal